%define qtdir /usr/lib/qt-1.45
%define	version 0.3.1
%define kdename kapm

Name: %{kdename}
Summary: Advanced Power Management utility
Version: %{version}
Release: 1
Source: ftp://bodnar42.dhs.org/pub/kapm/%{name}-%{version}.tar.bz2
Patch: kapm-alpha.patch
Group: Applications/System
Copyright: GPL
BuildRoot: /var/tmp/%{name}-root
Prefix: %{_prefix}
Url: http://bodnar42.dhs.org/kapm

%description
Advanced Power Management dock applet for the K Desktop Environment.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch

%build
export QTDIR=%{qtdir}
export MOC=%{qtdir}/bin/moc
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" \
	./configure --prefix=%{prefix} \
	--with-install-root=$RPM_BUILD_ROOT
make

%install
make prefix=$RPM_BUILD_ROOT%{prefix} install

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' \
	-e '\/etc\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT
rm -f ../file.list.%{kdename}

%files -f ../file.list.%{kdename} 

%changelog
* Wed Jan 12 2000 Ngo Than <than@redhat.de>
- updated to 0.3.1

* Fri Sep 17 1999 Preston Brown <pbrown@redhat.com>
- adapted for powertools 6.1

* Sun Aug 29 1999 Daniel M. Duley <mosfet@linuxmandrake.com>
- Inital RPM.

